// include-Datei von sane.pas

const
  // This _must_ be the first option (index 0):
  SANE_NAME_NUM_OPTIONS           = ''; // never settable
  SANE_NAME_PREVIEW               = 'preview';
  SANE_NAME_GRAY_PREVIEW          = 'preview-in-gray';
  SANE_NAME_BIT_DEPTH             = 'depth';
  SANE_NAME_SCAN_MODE             = 'mode';
  SANE_NAME_SCAN_SPEED            = 'speed';
  SANE_NAME_SCAN_SOURCE           = 'source';
  SANE_NAME_BACKTRACK             = 'backtrack';
{  Most user-interfaces will let the user specify the scan area as the
   top-left corner and the width/height of the scan area.  The reason
   the backend interface uses the top-left/bottom-right corner is so
   that the scan area values can be properly constraint independent of
   any other option value.                                              }
  SANE_NAME_SCAN_TL_X             = 'tl-x';
  SANE_NAME_SCAN_TL_Y             = 'tl-y';
  SANE_NAME_SCAN_BR_X             = 'br-x';
  SANE_NAME_SCAN_BR_Y             = 'br-y';
  SANE_NAME_SCAN_RESOLUTION       = 'resolution';
  SANE_NAME_SCAN_X_RESOLUTION     = 'resolution';
  SANE_NAME_SCAN_Y_RESOLUTION     = 'y-resolution';
  SANE_NAME_CUSTOM_GAMMA          = 'custom-gamma';
  SANE_NAME_GAMMA_VECTOR          = 'gamma-table';
  SANE_NAME_GAMMA_VECTOR_R        = 'red-gamma-table';
  SANE_NAME_GAMMA_VECTOR_G        = 'green-gamma-table';
  SANE_NAME_GAMMA_VECTOR_B        = 'blue-gamma-table';
  SANE_NAME_BRIGHTNESS            = 'brightness';
  SANE_NAME_CONTRAST              = 'contrast';
  SANE_NAME_GRAIN_SIZE            = 'grain';
  SANE_NAME_HALFTONE              = 'halftoning';
  SANE_NAME_BLACK_LEVEL           = 'black-level';
  SANE_NAME_WHITE_LEVEL           = 'white-level';
  SANE_NAME_WHITE_LEVEL_R         = 'white-level-r';
  SANE_NAME_WHITE_LEVEL_G         = 'white-level-g';
  SANE_NAME_WHITE_LEVEL_B         = 'white-level-b';
  SANE_NAME_SHADOW                = 'shadow';
  SANE_NAME_SHADOW_R              = 'shadow-r';
  SANE_NAME_SHADOW_G              = 'shadow-g';
  SANE_NAME_SHADOW_B              = 'shadow-b';
  SANE_NAME_HIGHLIGHT             = 'highlight';
  SANE_NAME_HIGHLIGHT_R           = 'highlight-r';
  SANE_NAME_HIGHLIGHT_G           = 'highlight-g';
  SANE_NAME_HIGHLIGHT_B           = 'highlight-b';
  SANE_NAME_HUE                   = 'hue';
  SANE_NAME_SATURATION            = 'saturation';
  SANE_NAME_FILE                  = 'filename';
  SANE_NAME_HALFTONE_DIMENSION    = 'halftone-size';
  SANE_NAME_HALFTONE_PATTERN      = 'halftone-pattern';
  SANE_NAME_RESOLUTION_BIND       = 'resolution-bind';
  SANE_NAME_NEGATIVE              = 'negative';
  SANE_NAME_QUALITY_CAL           = 'quality-cal';
  SANE_NAME_DOR                   = 'double-res';
  SANE_NAME_RGB_BIND              = 'rgb-bind';
  SANE_NAME_THRESHOLD             = 'threshold';
  SANE_NAME_ANALOG_GAMMA          = 'analog-gamma';
  SANE_NAME_ANALOG_GAMMA_R        = 'analog-gamma-r';
  SANE_NAME_ANALOG_GAMMA_G        = 'analog-gamma-g';
  SANE_NAME_ANALOG_GAMMA_B        = 'analog-gamma-b';
  SANE_NAME_ANALOG_GAMMA_BIND     = 'analog-gamma-bind';
  SANE_NAME_WARMUP                = 'warmup';
  SANE_NAME_CAL_EXPOS_TIME        ='cal-exposure-time';
  SANE_NAME_CAL_EXPOS_TIME_R      = 'cal-exposure-time-r';
  SANE_NAME_CAL_EXPOS_TIME_G      = 'cal-exposure-time-g';
  SANE_NAME_CAL_EXPOS_TIME_B      = 'cal-exposure-time-b';
  SANE_NAME_SCAN_EXPOS_TIME       ='scan-exposure-time';
  SANE_NAME_SCAN_EXPOS_TIME_R     = 'scan-exposure-time-r';
  SANE_NAME_SCAN_EXPOS_TIME_G     = 'scan-exposure-time-g';
  SANE_NAME_SCAN_EXPOS_TIME_B     = 'scan-exposure-time-b';
  SANE_NAME_SELECT_EXPOSURE_TIME  = 'select-exposure-time';
  SANE_NAME_CAL_LAMP_DEN          = 'cal-lamp-density';
  SANE_NAME_SCAN_LAMP_DEN         = 'scan-lamp-density';
  SANE_NAME_SELECT_LAMP_DENSITY   = 'select-lamp-density';
  SANE_NAME_LAMP_OFF_AT_EXIT      = 'lamp-off-at-exit';

type
  SANE_I18N = String;  // Laut Dokumentation Single Line String

const
  SANE_TITLE_NUM_OPTIONS          = SANE_I18N('Number of options');
  SANE_TITLE_PREVIEW              = SANE_I18N('Preview');
  SANE_TITLE_GRAY_PREVIEW         = SANE_I18N('Force monochrome preview');
  SANE_TITLE_BIT_DEPTH            = SANE_I18N('Bit depth');
  SANE_TITLE_SCAN_MODE            = SANE_I18N('Scan mode');
  SANE_TITLE_SCAN_SPEED           = SANE_I18N('Scan speed');
  SANE_TITLE_SCAN_SOURCE          = SANE_I18N('Scan source');
  SANE_TITLE_BACKTRACK            = SANE_I18N('Force backtracking');
  SANE_TITLE_SCAN_TL_X            = SANE_I18N('Top-left x');
  SANE_TITLE_SCAN_TL_Y            = SANE_I18N('Top-left y');
  SANE_TITLE_SCAN_BR_X            = SANE_I18N('Bottom-right x');
  SANE_TITLE_SCAN_BR_Y            = SANE_I18N('Bottom-right y');
  SANE_TITLE_SCAN_RESOLUTION      = SANE_I18N('Scan resolution');
  SANE_TITLE_SCAN_X_RESOLUTION    = SANE_I18N('X-resolution');
  SANE_TITLE_SCAN_Y_RESOLUTION    = SANE_I18N('Y-resolution');
  SANE_TITLE_CUSTOM_GAMMA         = SANE_I18N('Use custom gamma table');
  SANE_TITLE_GAMMA_VECTOR         = SANE_I18N('Image intensity');
  SANE_TITLE_GAMMA_VECTOR_R       = SANE_I18N('Red intensity');
  SANE_TITLE_GAMMA_VECTOR_G       = SANE_I18N('Green intensity');
  SANE_TITLE_GAMMA_VECTOR_B       = SANE_I18N('Blue intensity');
  SANE_TITLE_BRIGHTNESS           = SANE_I18N('Brightness');
  SANE_TITLE_CONTRAST             = SANE_I18N('Contrast');
  SANE_TITLE_GRAIN_SIZE           = SANE_I18N('Grain size');
  SANE_TITLE_HALFTONE             = SANE_I18N('Halftoning');
  SANE_TITLE_BLACK_LEVEL          = SANE_I18N('Black level');
  SANE_TITLE_WHITE_LEVEL          = SANE_I18N('White level');
  SANE_TITLE_WHITE_LEVEL_R        = SANE_I18N('White level for red');
  SANE_TITLE_WHITE_LEVEL_G        = SANE_I18N('White level for green');
  SANE_TITLE_WHITE_LEVEL_B        = SANE_I18N('White level for blue');
  SANE_TITLE_SHADOW               = SANE_I18N('Shadow');
  SANE_TITLE_SHADOW_R             = SANE_I18N('Shadow for red');
  SANE_TITLE_SHADOW_G             = SANE_I18N('Shadow for green');
  SANE_TITLE_SHADOW_B             = SANE_I18N('Shadow for blue');
  SANE_TITLE_HIGHLIGHT            = SANE_I18N('Highlight');
  SANE_TITLE_HIGHLIGHT_R          = SANE_I18N('Highlight for red');
  SANE_TITLE_HIGHLIGHT_G          = SANE_I18N('Highlight for green');
  SANE_TITLE_HIGHLIGHT_B          = SANE_I18N('Highlight for blue');
  SANE_TITLE_HUE                  = SANE_I18N('Hue');
  SANE_TITLE_SATURATION           = SANE_I18N('Saturation');
  SANE_TITLE_FILE                 = SANE_I18N('Filename');
  SANE_TITLE_HALFTONE_DIMENSION   = SANE_I18N('Halftone pattern size');
  SANE_TITLE_HALFTONE_PATTERN     = SANE_I18N('Halftone pattern');
  SANE_TITLE_RESOLUTION_BIND      = SANE_I18N('Bind X and Y resolution');
  SANE_TITLE_NEGATIVE             = SANE_I18N('Negative');
  SANE_TITLE_QUALITY_CAL          = SANE_I18N('Quality calibration');
  SANE_TITLE_DOR                  = SANE_I18N('Double Optical Resolution');
  SANE_TITLE_RGB_BIND             = SANE_I18N('Bind RGB');
  SANE_TITLE_THRESHOLD            = SANE_I18N('Threshold');
  SANE_TITLE_ANALOG_GAMMA         = SANE_I18N('Analog gamma correction');
  SANE_TITLE_ANALOG_GAMMA_R       = SANE_I18N('Analog gamma red');
  SANE_TITLE_ANALOG_GAMMA_G       = SANE_I18N('Analog gamma green');
  SANE_TITLE_ANALOG_GAMMA_B       = SANE_I18N('Analog gamma blue');
  SANE_TITLE_ANALOG_GAMMA_BIND    = SANE_I18N('Bind analog gamma');
  SANE_TITLE_WARMUP               = SANE_I18N('Warmup lamp');
  SANE_TITLE_CAL_EXPOS_TIME       = SANE_I18N('Cal. exposure-time');
  SANE_TITLE_CAL_EXPOS_TIME_R     = SANE_I18N('Cal. exposure-time for red');
  SANE_TITLE_CAL_EXPOS_TIME_G     = SANE_I18N('Cal. exposure-time for green');
  SANE_TITLE_CAL_EXPOS_TIME_B     = SANE_I18N('Cal. exposure-time for blue');
  SANE_TITLE_SCAN_EXPOS_TIME      = SANE_I18N('Scan exposure-time');
  SANE_TITLE_SCAN_EXPOS_TIME_R    = SANE_I18N('Scan exposure-time for red');
  SANE_TITLE_SCAN_EXPOS_TIME_G    = SANE_I18N('Scan exposure-time for green');
  SANE_TITLE_SCAN_EXPOS_TIME_B    = SANE_I18N('Scan exposure-time for blue');
  SANE_TITLE_SELECT_EXPOSURE_TIME = SANE_I18N('Set exposure-time');
  SANE_TITLE_CAL_LAMP_DEN         = SANE_I18N('Cal. lamp density');
  SANE_TITLE_SCAN_LAMP_DEN        = SANE_I18N('Scan lamp density');
  SANE_TITLE_SELECT_LAMP_DENSITY  = SANE_I18N('Set lamp density');
  SANE_TITLE_LAMP_OFF_AT_EXIT     = SANE_I18N('Lamp off at exit');

  //* Descriptive/help strings for above options: */

  SANE_DESC_NUM_OPTIONS
    = SANE_I18N('Read-only option that specifies how many options a specific ' +
                'devices supports.');
  SANE_DESC_PREVIEW
    = SANE_I18N('Request a preview-quality scan.');
  SANE_DESC_GRAY_PREVIEW
    = SANE_I18N('Request that all previews are done in monochrome mode.  On a ' +
                'three-pass scanner this cuts down the number of passes to one and on a ' +
                'one-pass scanner, it reduces the memory requirements and scan-time of the ' +
                'preview.');
  SANE_DESC_BIT_DEPTH
    = SANE_I18N('Number of bits per sample, typical values are 1 for \"line-art\" ' +
                'and 8 for multibit scans.');
  SANE_DESC_SCAN_MODE
    = SANE_I18N('Selects the scan mode (e.g., lineart, monochrome, or color).');
  SANE_DESC_SCAN_SPEED
    = SANE_I18N('Determines the speed at which the scan proceeds.');
  SANE_DESC_SCAN_SOURCE
    = SANE_I18N('Selects the scan source (such as a document-feeder).');
  SANE_DESC_BACKTRACK
    = SANE_I18N('Controls whether backtracking is forced.');
  SANE_DESC_SCAN_TL_X
    = SANE_I18N('Top-left x position of scan area.');
  SANE_DESC_SCAN_TL_Y
    = SANE_I18N('Top-left y position of scan area.');
  SANE_DESC_SCAN_BR_X
    = SANE_I18N('Bottom-right x position of scan area.');
  SANE_DESC_SCAN_BR_Y
    = SANE_I18N('Bottom-right y position of scan area.');
  SANE_DESC_SCAN_RESOLUTION
    = SANE_I18N('Sets the resolution of the scanned image.');
  SANE_DESC_SCAN_X_RESOLUTION
    = SANE_I18N('Sets the horizontal resolution of the scanned image.');
  SANE_DESC_SCAN_Y_RESOLUTION
    = SANE_I18N('Sets the vertical resolution of the scanned image.');
  SANE_DESC_CUSTOM_GAMMA
    = SANE_I18N('Determines whether a builtin or a custom gamma-table should be ' +
                'used.');
  SANE_DESC_GAMMA_VECTOR
    = SANE_I18N('Gamma-correction table.  In color mode this option equally ' +
                'affects the red, green, and blue channels simultaneously (i.e., it is an ' +
                'intensity gamma table).');
  SANE_DESC_GAMMA_VECTOR_R
    = SANE_I18N('Gamma-correction table for the red band.');
  SANE_DESC_GAMMA_VECTOR_G
    = SANE_I18N('Gamma-correction table for the green band.');
  SANE_DESC_GAMMA_VECTOR_B
    = SANE_I18N('Gamma-correction table for the blue band.');
  SANE_DESC_BRIGHTNESS
    = SANE_I18N('Controls the brightness of the acquired image.');
  SANE_DESC_CONTRAST
    = SANE_I18N('Controls the contrast of the acquired image.');
  SANE_DESC_GRAIN_SIZE
    = SANE_I18N('Selects the \"graininess\" of the acquired image.  Smaller values ' +
                'result in sharper images.');
  SANE_DESC_HALFTONE
    = SANE_I18N('Selects whether the acquired image should be halftoned (dithered).');
  SANE_DESC_BLACK_LEVEL
    = SANE_I18N('Selects what radiance level should be considered \"black\"');
  SANE_DESC_WHITE_LEVEL
    = SANE_I18N('Selects what radiance level should be considered \"white\".');
  SANE_DESC_WHITE_LEVEL_R
    = SANE_I18N('Selects what red radiance level should be considered \"white\".');
  SANE_DESC_WHITE_LEVEL_G
    = SANE_I18N('Selects what green radiance level should be considered \"white\".');
  SANE_DESC_WHITE_LEVEL_B
    = SANE_I18N('Selects what blue radiance level should be considered \"white\".');
  SANE_DESC_SHADOW
    = SANE_I18N('Selects what radiance level should be considered \"black\".');
  SANE_DESC_SHADOW_R
    = SANE_I18N('Selects what red radiance level should be considered \"black\".');
  SANE_DESC_SHADOW_G
    = SANE_I18N('Selects what green radiance level should be considered \"black\".');
  SANE_DESC_SHADOW_B
    = SANE_I18N('Selects what blue radiance level should be considered \"black\".');
  SANE_DESC_HIGHLIGHT
    = SANE_I18N('Selects what radiance level should be considered \"white\"."');
  SANE_DESC_HIGHLIGHT_R
    = SANE_I18N('Selects what red radiance level should be considered \"full red\".');
  SANE_DESC_HIGHLIGHT_G
    = SANE_I18N('Selects what green radiance level should be considered \"full ' +
                'green\".');
  SANE_DESC_HIGHLIGHT_B
    = SANE_I18N('Selects what blue radiance level should be considered \"full ' +
                'blue\".');
  SANE_DESC_HUE
    = SANE_I18N('Controls the \"hue\" (blue-level) of the acquired image.');
  SANE_DESC_SATURATION
    = SANE_I18N('The saturation level controls the amount of \"blooming\" that ' +
                'occurs when acquiring an image with a camera. Larger values cause more ' +
                'blooming.');
  SANE_DESC_FILE
    = SANE_I18N('The filename of the image to be loaded.');
  SANE_DESC_HALFTONE_DIMENSION
    = SANE_I18N('Sets the size of the halftoning (dithering) pattern used when ' +
                'scanning halftoned images.');
  SANE_DESC_HALFTONE_PATTERN
    = SANE_I18N('Defines the halftoning (dithering) pattern for scanning ' +
                'halftoned images.');
  SANE_DESC_RESOLUTION_BIND
    = SANE_I18N('Use same values for X and Y resolution');
  SANE_DESC_NEGATIVE
    = SANE_I18N('Swap black and white');
  SANE_DESC_QUALITY_CAL
    = SANE_I18N('Do a quality white-calibration');
  SANE_DESC_DOR
    = SANE_I18N('Use lens that doubles optical resolution');
  SANE_DESC_RGB_BIND
    = SANE_I18N('In RGB-mode use same values for each color');
  SANE_DESC_THRESHOLD
    = SANE_I18N('Select minimum-brightness to get a white point');
  SANE_DESC_ANALOG_GAMMA
    = SANE_I18N('Analog gamma-correction');
  SANE_DESC_ANALOG_GAMMA_R
    = SANE_I18N('Analog gamma-correction for red');
  SANE_DESC_ANALOG_GAMMA_G
    = SANE_I18N('Analog gamma-correction for green');
  SANE_DESC_ANALOG_GAMMA_B
    = SANE_I18N('Analog gamma-correction for blue');
  SANE_DESC_ANALOG_GAMMA_BIND
    = SANE_I18N('In RGB-mode use same values for each color');
  SANE_DESC_WARMUP
    = SANE_I18N('Warmup lamp before scanning');
  SANE_DESC_CAL_EXPOS_TIME
    = SANE_I18N('Define exposure-time for calibration');
  SANE_DESC_CAL_EXPOS_TIME_R
    = SANE_I18N('Define exposure-time for red calibration');
  SANE_DESC_CAL_EXPOS_TIME_G
    = SANE_I18N('Define exposure-time for green calibration');
  SANE_DESC_CAL_EXPOS_TIME_B
    = SANE_I18N('Define exposure-time for blue calibration');
  SANE_DESC_SCAN_EXPOS_TIME
    = SANE_I18N('Define exposure-time for scan');
  SANE_DESC_SCAN_EXPOS_TIME_R
    = SANE_I18N('Define exposure-time for red scan');
  SANE_DESC_SCAN_EXPOS_TIME_G
    = SANE_I18N('Define exposure-time for green scan');
  SANE_DESC_SCAN_EXPOS_TIME_B
    = SANE_I18N('Define exposure-time for blue scan');
  SANE_DESC_SELECT_EXPOSURE_TIME
    = SANE_I18N('Enable selection of exposure-time');
  SANE_DESC_CAL_LAMP_DEN
    = SANE_I18N('Define lamp density for calibration');
  SANE_DESC_SCAN_LAMP_DEN
    = SANE_I18N('Define lamp density for scan');
  SANE_DESC_SELECT_LAMP_DENSITY
    = SANE_I18N('Enable selection of lamp density');
  SANE_DESC_LAMP_OFF_AT_EXIT
    = SANE_I18N('Turn off lamp when program exits');

  //* Typical values for stringlists (to keep the backends consistent) */

  SANE_VALUE_SCAN_MODE_COLOR      = SANE_I18N('Color');
  SANE_VALUE_SCAN_MODE_GRAY       = SANE_I18N('Gray');
  SANE_VALUE_SCAN_MODE_LINEART    = SANE_I18N('Lineart');

